<?php
namespace Mirasvit\Seo\Block\Category\Image;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Category\Image
 */
class Interceptor extends \Mirasvit\Seo\Block\Category\Image implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Catalog\Model\Layer\Resolver $layerResolver, \Magento\Framework\Registry $registry, \Magento\Catalog\Helper\Category $categoryHelper, \Mirasvit\Seo\Api\Service\Image\ImageServiceInterface $imageService, \Mirasvit\Seo\Helper\Data $seoData, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $layerResolver, $registry, $categoryHelper, $imageService, $seoData, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
